<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [configure](./foundation-login.configure.md)

## configure() function

Configure the login micro frontend settings.

**Signature:**

```typescript
export declare function configure(container: Container, config: Partial<LoginConfig>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  container | Container | DI container. |
|  config | Partial&lt;[LoginConfig](./foundation-login.loginconfig.md)<!-- -->&gt; | A partial LoginConfig. |

**Returns:**

void

## Remarks

This is primarily for general settings, rather than re-defining the element, static templating / style changes.

## Example

Configuring login on lazy load

```ts
name: 'login',
path: 'login',
title: 'Login',
element: async () => {
  const { configure, define, defaultLoginConfig } = await import('@genesislcap/foundation-login');
  configure(this.container, {
    autoConnect: true,
    omitRoutes: ['request-account'],
    fields: {
      ...defaultLoginConfig.fields,
      organisation: {
        label: 'CompID',
      },
    },
    defaultRedirectUrl: 'dashboard',
    logo: loginLogo,
    background: loginBG,
  });
  // You can import and return `Login` directly here or re-define it completely via `define`.
  return define({
    name: `nexus-login`,
  });
},
layout: loginLayout,
settings: { public: true },
childRouters: true,
```

